drop table if exists biz_fault_physical_model;
create table biz_fault_physical_model
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                     comment '故障模型名称',
  type     varchar(64)                     comment '故障模型类型',
  path     varchar(255)                          comment '故障模型接口地址',
  params        TEXT                          comment '故障模型参数参数',
  remark        varchar(500)    default null               comment '备注',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '故障物理模型管理表';

drop table if exists biz_fault_diagnosis_model;
create table biz_fault_diagnosis_model
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                      comment '故障模型名称',
  type     varchar(64)                    comment '故障模型类型',
  path     varchar(255)                       comment '故障模型接口地址',
  params        TEXT                           comment '故障模型参数参数',
  remark        varchar(500)    default null               comment '备注',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '故障诊断算法模型管理表';

--drop table if exists biz_evaluation_indicator;
--create table biz_evaluation_indicator
--(
--  id       bigint(20)      not null auto_increment    comment '序号',
--  name     varchar(64)                   comment '故障模型类型',
--  formulas     TEXT                     comment '公式',
--  remark        varchar(500)    default null               comment '备注',
--  create_by     varchar(64)     default ''                 comment '创建者',
--  create_time   datetime                                   comment '创建时间',
--  update_by     varchar(64)     default ''			       comment '更新者',
--  update_time   datetime                                   comment '更新时间',
--  primary key (id)
--) engine=innodb comment = '评估指标体系管理表';

drop table if exists biz_evaluation_indicator;
create table biz_evaluation_indicator
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '评估体系名称',
  params TEXT comment '评估体系参数',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '评估指标体系管理表';

drop table if exists biz_formulas
create table biz_formulas
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '公式名称',
  formulas     TEXT                     comment '公式',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '公式管理管理表';

drop table if exists biz_phy_model_data_gen
create table biz_phy_model_data_gen
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '数据生成名称',
  model_id bigint(20)  comment '数据生成模型',
  params TEXT comment '参数',
  data_id bigint(20) comment '数据id',
  status varchar(64)  comment '状态',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '物理模型数据生成管理表';

drop table if exists biz_phy_noise_data_gen
create table biz_phy_noise_data_gen
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '数据生成名称',
  model_id bigint(20)  comment '数据生成模型',
  params TEXT comment '参数',
  original_data_id bigint(20) comment '原始数据id',
  generated_data_id bigint(20) comment '生成后数据id',
  status varchar(64)  comment '状态',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '噪声数据生成管理表';

drop table if exists biz_test_data_gen
create table biz_test_data_gen
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '数据生成名称',
  model_id bigint(20)  comment '数据生成模型',
  params TEXT comment '参数',
  original_data_ids varchar(255) comment '原始数据ids',
  generated_data_id bigint(20) comment '生成后数据id',
  status varchar(64)  comment '状态',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '测试数据生成管理表';

drop table if exists biz_data
create table biz_data
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '数据名称',
  type varchar(64)                   comment '数据类型（0物理模型数据，1实际数据，2噪声数据，3训练/验证数据）',
  file_path varchar(255)  comment '文件路径',
  remark        varchar(500)    default null               comment '说明',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '数据管理表';


--drop table if exists biz_phy_model_data
--create table biz_phy_model_data
--(
--  id       bigint(20)      not null auto_increment    comment '序号',
--  name     varchar(64)                   comment '数据名称',
--  file_path varchar(255)  comment '文件路径',
--  remark        varchar(500)    default null               comment '说明',
--  create_by     varchar(64)     default ''                 comment '创建者',
--  create_time   datetime                                   comment '创建时间',
--  update_by     varchar(64)     default ''			       comment '更新者',
--  update_time   datetime                                   comment '更新时间',
--  primary key (id)
--) engine=innodb comment = '物理数据管理表';

--drop table if exists biz_actual_data
--create table biz_actual_data
--(
--  id       bigint(20)      not null auto_increment    comment '序号',
--  name     varchar(64)                   comment '数据名称',
--  file_path varchar(255)  comment '文件路径',
--  remark        varchar(500)    default null               comment '说明',
--  create_by     varchar(64)     default ''                 comment '创建者',
--  create_time   datetime                                   comment '创建时间',
--  update_by     varchar(64)     default ''			       comment '更新者',
--  update_time   datetime                                   comment '更新时间',
--  primary key (id)
--) engine=innodb comment = '实际数据管理表';
--
--drop table if exists biz_noise_data
--create table biz_noise_data
--(
--  id       bigint(20)      not null auto_increment    comment '序号',
--  name     varchar(64)                   comment '数据名称',
--  file_path varchar(255)  comment '文件路径',
--  remark        varchar(500)    default null               comment '说明',
--  create_by     varchar(64)     default ''                 comment '创建者',
--  create_time   datetime                                   comment '创建时间',
--  update_by     varchar(64)     default ''			       comment '更新者',
--  update_time   datetime                                   comment '更新时间',
--  primary key (id)
--) engine=innodb comment = '噪声数据管理表';
--
--drop table if exists biz_train_val_data
--create table biz_train_val_data
--(
--  id       bigint(20)      not null auto_increment    comment '序号',
--  name     varchar(64)                   comment '数据名称',
--  file_path varchar(255)  comment '文件路径',
--  remark        varchar(500)    default null               comment '说明',
--  create_by     varchar(64)     default ''                 comment '创建者',
--  create_time   datetime                                   comment '创建时间',
--  update_by     varchar(64)     default ''			       comment '更新者',
--  update_time   datetime                                   comment '更新时间',
--  primary key (id)
--) engine=innodb comment = '训练验证数据管理表';

drop table if exists biz_fd_algorithm
create table biz_fd_algorithm
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '故障诊断名称',
  model_id varchar(255)  comment '模型id',
  data_id bigint(20) comment '数据id',
  truth_labels varchar(255)  comment '实际标签',
  test_labels varchar(255)  comment '测试标签',
  remark        varchar(500)    default null               comment '说明',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '故障诊断算法功能验证表';

drop table if exists biz_performance_evaluation
create table biz_performance_evaluation
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '性能评估名称',
  type varchar(64)                   comment '类型',
  valuation_indicator_id bigint(20)  comment '评估id',
  fd_algorithm_id bigint(20)  comment '故障诊断算法id',
  data_id bigint(20) comment '数据id',
  params TEXT  comment '参数',
  result_file_path varchar(255)  comment '文件结果',
  result_text Text  comment '文本结果',
  remark        varchar(500)    default null               comment '说明',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '算法性能评估表';

drop table if exists biz_workflow
create table biz_workflow
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '任务名称',
  status varchar(64)                   comment '任务状态',
  remark        varchar(500)    default null               comment '说明',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '流程任务表';

drop table if exists biz_workflow_node
create table biz_workflow_node
(
  id       bigint(20)      not null auto_increment    comment '序号',
  name     varchar(64)                   comment '数据名称',
  type varchar(64)                   comment '类型',
  sub_type varchar(64)                   comment '子类型',
  task_id bigint(20) comment '任务id',
  remark        varchar(500)    default null               comment '说明',
  start_time   datetime                                   comment '开始时间',
  end_time   datetime                                   comment '结束时间',
  create_by     varchar(64)     default ''                 comment '创建者',
  create_time   datetime                                   comment '创建时间',
  update_by     varchar(64)     default ''			       comment '更新者',
  update_time   datetime                                   comment '更新时间',
  primary key (id)
) engine=innodb comment = '流程节点表';